<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\deportista;
use Illuminate\Support\Facades\DB;
use Laravel\Ui\Presets\React;

class CrudController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function caupolican()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','caupolican')
        ->orderBy('nombre')

        ->get();
        $club="caupolican";
        $serie="";
        // $jugadores=deportista::find($id); para buscar directo desde la base de datos por id

        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

        public function molinos()
    {
  
   
        //otra forma de hacer la consulta
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','molinos')
    

        ->get();
        $club="molinos";
        $serie="";
        // $jugadores=deportista::find($id); para buscar directo desde la base de datos por id

        return view('mantenedor', compact('jugadores', 'club', 'serie'));

        
    }
    
    public function iberia()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','iberia')
        ->orderBy('nombre')
        ->get();

        $club="iberia";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

        public function condor()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','condor')
        ->orderBy('nombre')
        ->get();

        $club="condor";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

    public function ohiggins()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','ohiggins')
        ->orderBy('nombre')
        ->get();

        $club="ohiggins";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

    public function balneario()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','balneario')
        ->orderBy('nombre')
        ->get();

        $club="balneario";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

    public function pellines()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','pellines')
        ->orderBy('nombre')
        ->get();

        $club="pellines";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

    public function milan()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','milan')
        ->orderBy('nombre')
        ->get();

        $club="milan";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }

    public function wanders()
    {
         $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','wanders')
        ->orderBy('nombre')
        ->get();

        $club="wanders";
        $serie="";
        return view('mantenedor', compact('jugadores', 'club', 'serie'));
    }





















    //busqueda por serie
     public function show ()
    {
  
        $serie=trim(request('serie'));//trim quita los espacios en blanco
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->orderBy('nombre')
        ->get();

        return view('mantenedor', compact('jugadores', 'serie'));
    }



    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */


    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
